compact1, compact2, compact3
java.lang.reflect

## Interface AnnotatedWildcardType

- All Superinterfaces:
    AnnotatedElement, AnnotatedType

      public interface AnnotatedWildcardType
      extends AnnotatedType

  `AnnotatedWildcardType` represents the potentially annotated use of a wildcard type argument, whose upper or lower bounds may themselves represent annotated uses of types.
  Since:
    1.8

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnnotatedType[]` | `getAnnotatedLowerBounds()` Returns the potentially annotated lower bounds of this wildcard type.
    `AnnotatedType[]` | `getAnnotatedUpperBounds()` Returns the potentially annotated upper bounds of this wildcard type.

    - ### Methods inherited from interface java.lang.reflect.AnnotatedType

      `getType`

    - ### Methods inherited from interface java.lang.reflect.AnnotatedElement

      `getAnnotation, getAnnotations, getAnnotationsByType, getDeclaredAnnotation, getDeclaredAnnotations, getDeclaredAnnotationsByType, isAnnotationPresent`

- - ### Method Detail

    - #### getAnnotatedLowerBounds

          AnnotatedType[] getAnnotatedLowerBounds()

      Returns the potentially annotated lower bounds of this wildcard type.
      Returns:
        the potentially annotated lower bounds of this wildcard type

    - #### getAnnotatedUpperBounds

          AnnotatedType[] getAnnotatedUpperBounds()

      Returns the potentially annotated upper bounds of this wildcard type.
      Returns:
        the potentially annotated upper bounds of this wildcard type

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.